Name:           gcalctool
Version:        5.28.2
Release:        3%{?dist}
Summary:        A desktop calculator

Group:          Applications/System
License:        GPLv2+
URL:            http://directory.fsf.org/gcalctool.html
Source0:        http://download.gnome.org/sources/gcalctool/5.28/gcalctool-%{version}.tar.bz2

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=575759
Patch0: gcalctool-translations.patch
Patch1: gcalctool-translations2.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libglade2-devel
BuildRequires: GConf2-devel
BuildRequires: desktop-file-utils >= 0.9
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: gettext
BuildRequires: flex
BuildRequires: bison
BuildRequires: intltool

Requires(post): scrollkeeper
Requires(post): GConf2
Requires(postun): scrollkeeper
Requires(preun): GConf2
Requires(pre): GConf2

Requires: GConf2

%description
gcalctool is a powerful graphical calculator with financial, logical and
scientific modes. It uses a multiple precision package to do its arithmetic
to give a high degree of accuracy.

%prep
%setup -q
%patch0 -p1 -b .translations
%patch1 -p2 -b .translations2

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --remove-only-show-in GNOME				\
  --remove-only-show-in XFCE				\
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# delete this crap
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang gcalctool --with-gnome


%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q


%clean
rm -rf $RPM_BUILD_ROOT


%files -f gcalctool.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/gcalctool.schemas
%{_bindir}/gcalctool
%{_bindir}/gnome-calculator
%{_datadir}/applications/gnome-gcalctool.desktop
%{_datadir}/gcalctool
%doc %{_mandir}/man1/gcalctool.1.gz



%changelog

